/**
 * Created by rockyl on 2020-02-03.
 */

import {Stick} from "./Stick";
import ObjectPool = engine.ObjectPool;

export const PoolName: string = 'stick';

ObjectPool.registerPool(PoolName, function () {
	return new Stick();
}, function (item: Stick, data) {
	item.reset();
});
